Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.util.tools
Class ArgHandler

    java.lang.Object
      com.google.gwt.util.tools.ArgHandler

Direct Known Subclasses:
  ArgHandlerDir, ArgHandlerExtra, ArgHandlerFile, ArgHandlerFlag, ArgHandlerInt, ArgHandlerString

    public abstract class ArgHandler

extends java.lang.Object

Base class for command line argument handlers.

Constructor Summary
`ArgHandler()`

Method Summary
`java.lang.String[]` | `getDefaultArgs()`
`abstract java.lang.String` | `getPurpose()`
`abstract java.lang.String` | `getTag()`
`abstract java.lang.String[]` | `getTagArgs()`
`abstract int` | `handle(java.lang.String[] args, int tagIndex)`
`boolean` | `isRequired()`
`boolean` | `isUndocumented()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArgHandler

    public ArgHandler()

Method Detail

### getDefaultArgs

    public java.lang.String[] getDefaultArgs()

### getPurpose

    public abstract java.lang.String getPurpose()

### getTag

    public abstract java.lang.String getTag()

### getTagArgs

    public abstract java.lang.String[] getTagArgs()

### handle

    public abstract int handle(java.lang.String[] args,
                               int tagIndex)

### isRequired

    public boolean isRequired()

### isUndocumented

    public boolean isUndocumented()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD